/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: ItfSecurityInheritance.java 904 2006-07-20 14:26:37Z pinheirg $
 * --------------------------------------------------------------------------
 */

package org.objectweb.easybeans.tests.common.ejbs.stateless.containermanaged.security;

/**
 * Has a different security polices defined. It is used to test the inheritance.
 * @author Gisele Pinheiro Souza
 * @author Eduardo Studzinski Estima de Castro
 */
public interface ItfSecurityInheritance {

    /**
     * Does nothing.It has the annotation DenyAll.
     *
     */
    void dummyMethod1();

    /**
     * Does nothing.
     *
     */
    void dummyMethod2();

    /**
     * Does nothing.
     *
     */
    void dummyMethod3();

}
